Name:          lksctp-tools
Version:       1.0.16
Release:       1mamba
Summary:       A Linux user space library for accessing SCTP specific application programming interfaces
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://lksctp.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/lksctp/lksctp-tools/lksctp-tools-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      libsctp = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The lksctp-tools project provides a Linux user space library for SCTP (libsctp) including C language header files (netinet/sctp.h) for accessing SCTP specific application programming interfaces not provided by the standard sockets, and also some helper utilities around SCTP.

%package -n libsctp
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libsctp
The lksctp-tools project provides a Linux user space library for SCTP (libsctp) including C language header files (netinet/sctp.h) for accessing SCTP specific application programming interfaces not provided by the standard sockets, and also some helper utilities around SCTP.
This package contains shared libraries for %{name}.

%package -n libsctp-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libsctp = %{?epoch:%epoch:}%{version}-%{release}

%description -n libsctp-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
./bootstrap
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libsctp -p /sbin/ldconfig
%postun -n libsctp -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/checksctp
%{_bindir}/sctp_darn
%{_bindir}/sctp_status
%{_bindir}/sctp_test
%{_bindir}/withsctp
%dir %{_datadir}/lksctp-tools
%{_datadir}/lksctp-tools/*.c
%{_datadir}/lksctp-tools/*.h
%{_mandir}/man7/sctp.7*

%files -n libsctp
%defattr(-,root,root)
%{_libdir}/libsctp.so.*
%{_libdir}/lksctp-tools/libwithsctp.so.*
%doc AUTHORS COPYING

%files -n libsctp-devel
%defattr(-,root,root)
%{_includedir}/netinet/sctp.h
%{_libdir}/libsctp.a
%{_libdir}/libsctp.la
%{_libdir}/libsctp.so
%{_libdir}/lksctp-tools/libwithsctp.a
%{_libdir}/lksctp-tools/libwithsctp.la
%{_libdir}/lksctp-tools/libwithsctp.so
%{_mandir}/man3/sctp_bindx.3*
%{_mandir}/man3/sctp_connectx.3*
%{_mandir}/man3/sctp_getladdrs.3*
%{_mandir}/man3/sctp_getpaddrs.3*
%{_mandir}/man3/sctp_opt_info.3*
%{_mandir}/man3/sctp_peeloff.3*
%{_mandir}/man3/sctp_recvmsg.3*
%{_mandir}/man3/sctp_send.3*
%{_mandir}/man3/sctp_sendmsg.3*
%doc ChangeLog NEWS README

%changelog
* Wed Nov 18 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.16-1mamba
- package created using the webbuild interface
